------------------------------------------------------------------------------------
--Name：  220623[简体征服][活动脚本]全球七夕活动
--Creator:      黄洪文
--Created:     2022-07-01
------------------------------------------------------------------------------------
-- 奥路菲的天琴羽翼
--/callluafunc </F>User_PlayPlot</N>293
--/reloadlua Script/QiXi/2022/QiXiMemory2.lua
--/chgmap 11846 61 67
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(64,65)
CppScriptMgr:NpcCallOut("Orphee is so talented that he can write beautiful poems and play heavenly music.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Orphee`s dad, Apollo, gave him a golden harp, so that he could play more beautiful songs. This stunning harp is made from sunlight. Everyone feels happy whenever Orphee plays it.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Orphee travelled to a lot of places with his harp, playing music for people and making them happy.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetLightScreen(1500)
local Player_1=CppScriptMgr:AddSimplePlayer(1055787,64,63,"[God of Sun`s Child] \n    Orphee",0,0)
local Player_2=CppScriptMgr:AddSimplePlayer(1062496,62,65,"[Orphee`s Beloved]\n    Eurydice",0,0)
local Player_3=CppScriptMgr:AddPlayer(205,69,66,"Raven",0,0)
Player_3:SetDir(2)
Player_3:SetHide(1)
Player_1:SetZoomPercent(150)
Player_2:SetZoomPercent(150)
Player_1:AddPartEffect("_p_24_2022qx2_close",7,33)
Player_1:SetAction(101)
Player_2:SetAction(10)
local Effect_1=CppScriptMgr:AddEffect("_p_25_ozb_l_arm",58,61,33)
local Effect_2=CppScriptMgr:AddEffect("_p_25_ozb_l_arm",63,61,33)
Effect_2:Scale(3,3,3)
Effect_1:Scale(3,3,3)
local Effect_4=CppScriptMgr:AddEffect("NEW-flower-smallrain",64,65,33)
Effect_4:Scale(2,2,2)
local Effect_3=CppScriptMgr:AddEffect("dot_cha_lig",64,65,33)
Player_2:Say("I sing of morning sunshine, I sing of flowers, I sing of rain...",2000)
CppScriptMgr:NpcCallOut("I sing of morning sunshine, I sing of flowers, I sing of rain...",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:ShakeScrEffect(7)
CppScriptMgr:ClearEffect(Effect_4)
CppScriptMgr:ClearEffect(Effect_1)
CppScriptMgr:ClearEffect(Effect_2)
Player_2:Say("What happened?",1000)
CppScriptMgr:NpcCallOut("What happened?",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(1500)
local Effect_5=CppScriptMgr:AddEffect("zf2-e233",69,66,100)
Player_2:JumpTo(61,67)
Player_1:JumpTo(62,64)
CppScriptMgr:WaitMilSec(1500)
Player_3:SetHide(0)
local Effect_6=CppScriptMgr:AddEffect("lianhuayujing940",69,66,33)
Player_3:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetAction(401)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetAction(102)
Player_1:Say("Watch out! Eurydice!",1000)
CppScriptMgr:NpcCallOut("Watch out! Eurydice!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_3:SetAction(401)
local Effect_7=CppScriptMgr:AddEffect("curse-1",61,67,33)
Effect_7:Scale(1.5,1.5,1.5)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetAction(160)
Player_2:SetAction(170)
Player_1:Say("Go away, bastard!",1000)
CppScriptMgr:NpcCallOut("Go away, bastard!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(3000)
